Preview bucket lifecycle
Counts the uploads and previous versions that the given (or stored) lifecycle rules would delete if they ran now.
Authorization
OAuth2 upl:bucket:readAuthorizationBearer <token>
OAuth 2.0 authorization
In: header
Scope: upl:bucket:read
Header Parameters
Connect-Protocol-Version?number
Define the version of the Connect protocol
Connect-Timeout-Ms?number
Define the timeout, in ms
Request Body
application/json
bucketRef*&
rules?
Rules to evaluate. Empty evaluates the bucket's stored rules.
Items
items <= 1000[key: string]?never
Response Body
application/json
application/json
curl -X POST "https://uploads-api.xeonr.io/uplim.api.v1.BucketsService/PreviewBucketLifecycle" \ -H "Connect-Protocol-Version: 1" \ -H "Connect-Timeout-Ms: 1000" \ -H "Content-Type: application/json" \ -d '{ "bucketRef": {} }'{
"uploadCount": "string",
"uploadBytes": "string",
"noncurrentVersionCount": "string",
"noncurrentVersionBytes": "string"
}{
"code": "not_found",
"message": "string",
"details": [
{
"type": "string",
"value": "string",
"debug": {}
}
]
}